### Function

# FwupdPlugin Firmware strparse_uint24_safe

since: 1.5.6

#### Declaration [src]

    gboolean
    fu_firmware_strparse_uint24_safe (
      const gchar* data,
      gsize datasz,
      gsize offset,
      guint32* value,
      GError** error
    )

#### Description [src]

Parses a base 16 number from a string of 6 characters in length. The returned `value` will range from 0 to 0xffffff.

Available since: 1.5.6

#### Parameters

`data`

  Type: `const gchar*`

  Destination buffer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`datasz`

  Type: `gsize`

  Size of `data`, typically the same as `strlen(data)`.

`offset`

  Type: `gsize`

  Offset in chars into `data` to read.

`value`

  Type: `guint32*`

  Parsed value.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if parsed, `FALSE` otherwise.